﻿# You can place the script of your game in this file.

init:
    $ fade = Fade(.5, 0, .5)
    $ flash = Fade(.25, 0, .75, color="#fff")
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image corridor = "corridor.jpg"
    image mess = "mess.jpg"
    image night = "night.jpg"
    image ocean = "ocean.jpg"
    image radio = "radio.jpg"
    image room1 = "room1.jpg"
    image ship = "ship.jpg"
    image stairs = "stairs.jpg"
    image wake = "wake1.jpg"
    image radionight = "radionight.jpg"
    image hallway = "hallway.jpg"
    image bridge = "bridge.jpg"
    image title = "title.jpg"
    image light = "light.jpg"
    image shipnight = "shipnight.jpg"
    image operate = "operate.jpg"
    image light2 = "light2.jpg"
    image moon = "moon.jpg"
    image tt = "tt.jpg"
    image operate = "operate.jpg"
    #there are two other wakes, but the first is the best so far.
    #resizing images below
    image ship = im.Scale("ship.jpg", 800, 600)
    image radio = im.Scale("radio.jpg", 800, 600)
    image radionight = im.Scale("radionight.jpg", 800, 600)
    image mess = im.Scale("mess.jpg", 800, 600)
    image hallway = im.Scale("hallway.jpg", 800, 600)
    image bridge = im.Scale("bridge.jpg", 800, 600)
    image light = im.Scale("light.jpg", 800, 600)
    image shipnight = im.Scale("shipnight.jpg", 800, 600)
    image room1 = im.Scale("room1.jpg", 800, 600)
    image operate = im.Scale("operate.jpg", 800, 600)
    image light2 = im.Scale("light2.jpg", 800, 600)
    image moon = im.Scale("moon.jpg", 800, 600)
    image tt = im.Scale("tt.jpg", 800, 600)
    image operate = im.Scale("operate.jpg", 800, 600)
    

    # Declare characters used by this game.
    $ n = Character('Lt. Norwell', color="#4c787e")
    $ m = Character('Me', color="c9c299")


# The game starts here.
label splashscreen:
    show tt
    $ renpy.pause(7.0)
    return

label start:
      

"--April, 2002. Somewhere near the Red Sea--"

scene ship
play music "ship.wav" fadein 2 fadeout 2
"We were finally docked. We had been at sea for nearly two months straight, and I couldn't take not being near land anymore."
"Nothing but ocean, ocean, seagull, ocean, seagull droppings, and ocean got boring real fast."
"Seeing nothing but waves for two months striaght wasn't good for the mind either."
"I couldn't even imagine what it had been like for old sailors who had to spend {i}years{/i} at sea."
"For once I was glad I was born in my time period."
"But then again I wasn't."
"We lived in a world of war, famine, and worst of all, terrorism."
"I was a lance corporal on the USS Empire. The ship was a cruiser and had a cew count of 107 (including myself)."
"At the beginning of our launch six months previous to our docking, our main purpose was to be part of a new fleet that was to patrol the Red Sea."
"However that changed when ships were needed to detect missiles launching out of Russia and the Middle East."
"So we were reassigned as an independent ship of sorts that went on aimless patrols, wandering the open sea waiting for World War III."
"And now we were taking a small day brake at bay as we refueled and got some mechanical problems fixed (I think the radar was acting up at the time)."
"We all wanted to just take a vacation."
"I was going to leave the ship soon to for a stroll through town, but God wouldn't let me. And by God I meant a certain lieutenant."
n "Ah, Marsh, there you are."
"A tall skinny man approached me as I was leaning over the railing."
"He had dark blue eyes and smile that would actually begin to annoy you if you saw it too often."
"I had to see it everyday."
m "Can I help you lieutenant?"
n "As a matter of fact you can corporal. I need you to help me install some new radio equipment."
n "And don't you dare say you don't know how to work the stuff, because you're the friggin' one that runs it!"
"He was right."
"My job on the ship was with communications. It was like being one of those women back in the 50s with those big headsets, connecting all those lines."
"All I really did was transfer calls. Once in a while another ship would hail us, but that was very rare."
m "Sir, yes sir."
n "Oh, how was that chess game between you and Sergeant Lynn?"
"I had lost all pride in that chess game. Sergeant Lynn had made it look so easy to just take my queen like that."
m "It was a fair game, sir. He beat me."
n "Did he now? Oh what a shame for you. You've beaten him before, so you can do it again."
"While that was true, and I was getting better at chess, so was Lynn. Someone had to be teaching him all the moves he kept using on me."
stop music
scene radio with fade
"We both went into the radio room."
"There was a pile of boxes in the corner."
"One of the special things about our ship was the radio equipment. It was so God damn old. It hadn't been updated since the 80s. There was still even a typewriter lying around to input codes."
"I'd become used to using these ancient machines of our great ancestors, but it was good to hear about getting the stuff updated."
"I guess the Navy's budget was finally on track again."
scene radionight with fade
"Hours passed before we finished upgrading a few things."
"Externally everything looked the same to the naked eye, but internally we had just brought a 20th century machine to the 21st century,"
"The radio room now had this blue look as the moon light of the night pierced through a window."
m "I'll finish up here, sir. The rest should be simple things like working on the motherboard. It's all a one man job."
"The lieutenant gave me a quick nod, eyed over the room, and departed."
"It was unusal for him to not give a witty answer back, but he kept silent and just left."
m "Now let's see, I have to connect the adapter...to...here...and the audio wire...to...here?"
play sound "static.wav"
"Suddenly the whole motherboard let out a large amount of static." 
"I almost fell out of my chair in pure shock."
"There was also another strange noise coming from somewhere. I turned and twisted my head every which way to find the source."
"Eventually I found it to be the headset next to me."
"I put it on."
play music "radioam.wav" fadein 2 fadeout 3
"It was a weird sound alright."
"It was as if someone was taking a radio and tuning it from station to station, undeciding what they wanted to listen to."
"This was extremly odd, as our ancient radio system had zero power when it came to picking up unwanted frequencies."
"I took a guess that the I had set the equipment up wrong."
"But even when I unplugged some of the audio wires and cables, the tuning noise didn't stop."
"It just kept continuing, going from station to station to station."
"Rapidly I unplugged everything I could, but nothing did the trick."
"The noise continued."
"Not only was it annoying..."
"...but scary too."
"So I had the choice of leaving the room and go seek help or continuing to play around with the radio on my own."

menu:
    "Go seek help.":
         jump help

    "Continue to work alone.":
         jump alone

          
label help:
    "Of course I decided to go look for help. I didn't know what to do with this odd problem. Plus it was freaking me out."
    jump help2
    
label alone:
    "Working alone was my best option since lieutenant Norwell was the only other one that could work the radio like me, and he was probably busy."
    jump alone2
    
label help2:
    stop music
    scene mess
    play music "creek.wav" fadein 2 fadeout 2
    "I decided to go to the mess hall first. This is where my best chance of finding help was. If I was lucky, Lt. Norwell would be there wolfing down some pork and beans."
    "However something was strange."
    "All I could hear was the humming of the lights above me and the creeking of the ship. Not even a mouse was scurrying about."
    m "Hello?"
    "Where was everyone?"
    "Did I miss the memo for a party or something?"
    "Did I forget the Captain's birthday again, and as a result everyone was pulling this weird prank on me?"
    "It sure didn't seem like that was the case, but maybe..."
    "I checked under every table, looked inside the kitchen, and even checked the broom closet."
    "Nothing. No one."
    m "Guys I get it, alright? Sheesh you're all a bunch of assholes. So come out now."
    "I waited."
    "I waited some more."
    "I waited a little bit more."
    "So desperately I wanted someone to pop out and say 'boo!'. But no one did such a thing. Because there was no one to do it."
    "I decided that I should continue to look for everyone."
    "But I didn't know where to start."
    
menu:
    "Search outside.":
         jump outside

    "Search the bridge.":
         jump bridge

          
label alone2:
    "I looked at all the wires again."
    "I first double checked to make sure everything was unplugged."
    "It was just so strange that the headphones would be working when they {i} weren't even plugged in {/i}."
    "I had been working with this giant machine of old times for months, and never had something like this happened."
    "And I still wondered whose frequency I could be picking up on."
    "My only guess was a local police station, or perhaps just some random citizen back in town was fiddeling with a radio and a walkie-talkie."
    stop music
    "Then suddely the radio sounds stopped."
    "Just as if whoever had been playing with the radio stations had gotten bored and stopped."
    "It was such a relief to not have to hear that God awful sound anymore."
    "But for now before I did anything I just wanted to relax my head and ears..."
    "Just sit back..."
    "Close me eyes and..."
    play sound "knock.wav" fadeout 1
    pause 1
    "Damn."
    "Someone had decided that they needed to pound the door of the radio room to get my attention."
    "Or perhaps the attention of whoever else they thought was in here besides me."
    scene hallway with fade
    play sound "dooropen.wav"
    pause .5
    "I opened the door to look out in the hallway but saw no one."
    play music "creek.wav" fadein 2 fadeout 5
    "All I could hear was the creeking and moaning of the ship."
    "All I could see was an empty hallway."
    "I didn't like the silence."
    "I thought I should probably go talk with the lieutenant about what had just happened and how hard I had tried to not get him involved."
    "So I mae my way towards the bridge."
    jump bridge
    
    
label bridge:
    stop music
    scene bridge with fade
    "Along my way up some stairs and down some hallways I didn't pass a single soul."
    "Nor did I hear anything."
    "I was completely scared now."
    "I took a look around the room."
    pause .5
    "There wasn't anything unordinary about things here."
    "Except of course for the fact that..."
    "NO ONE WAS DRIVING THE SHIP."
    "And wait..."
    "I could easily see the ship moving from outside the window."
    pause .5
    "Wait, what?"
    "Why was the ship moving?"
    "We were supposed to be docked!"
    "And then something stranger happened..."
    scene bridge with flash
    pause .3
    "There was a large flash that streamed light into the entire bridge."
    "Once my vision came back to me, I stood still shocked."
    "It wasn't lightning or anything because it wasn't raining, and I didn't hear a crackle in the distance."
    "What was that?"
    "It had seemed that it had come from outside on the bow."
    jump outside2
    
label outside:
    "I went outside to see if I could find anyone to help me."
    jump outside2
    
label outside2:
    scene shipnight with fade
    play music "ship.wav" fadein 2 fadeout 2
    "It really was freezing out."
    "My teeth clattered as I listened to the ship plowing through the waves."
    m "God damn, I thought the Middle East was supposed to be hot and dry?"
    pause .5
    "After taking a look around I didn't see a soul, still."
    "I started to lift my head up to look at the night sky..."
    scene light with flash
    stop music
    play music "muslim.mp3" fadein 2 fadeout 2
    "But instead I was greeted by a light."
    "It was like something I had never seen before."
    "It stayed there over me, hovering."
    "It was so...calming."
    "A feeling of warmth."
    "I felt as though I could die right there, and I would be at peace forever."
    "I didn't know what the light was but I just had to embrace it."
    "What was this thing?"
    "Was it God?"
    "Was it a gateway to heaven?"
    "Was this what it felt like to truly be at peace with yourself?"
    "But there was something else..."
    "Something also felt wrong."
    "It was a feeling as though I shouldn't be here."
    "As though I was in danger."
    "A gut feeling of sorts."
    "But it battled against the feeling of warmth I had."
    "I was faced with a choice..."

menu:
    "Run away.":
         jump run

    "Stay.":
         jump stay

          

label run:
    "I had to run away. Something was wrong."
    jump run2
    
label stay:
    "I just couldn't run away. This light was so tempting."
    jump stay2
    
label run2:
    scene shipnight with fade
    "And I ran."
    scene hallway with fade
    "And ran."
    scene room1 with fade
    stop music
    "Until I got to my room."
    "I shut my door and hid under my covers."
    "Sure I was a grown man, but something like that would freak anyone out."
    "I just pretended it was all a dream."
    m "Go to sleep, go to sleep, go to sleep..."
    "I repeated those lines over and over again to myself."
    "It took a while but I finally felt myself drifting off..."
    pause 1
    scene light2 with fade
    pause 1
    play music "static.wav" fadein 2 fadeout 2
    "Suddenly I was put under another light."
    "But this was one was different then the last."
    "I heard radio static loud and clear."
    "It began to give me a terrible headache."
    m "Damn it! Turn that off!"
    "My voice echoed as if I were in a tunnel."
    "Was that where I was?"
    "The end of the line?"
    "Was that previous light an angel trying to send me to Saint Peter?"
    "Was this light different because they were the gates?"
    "Or perhaps another angel?"
    "Did angels spew static at people to annoy them and make them go insane?"
    "I didn't think so..."
    scene light2 with flash
    stop music
    "There was another flash and suddenly everything was silent."
    "...I had kinda liked it better with at least a {i}little{/i} background noise."
    "Because now I felt all alone."
    pause 1
    scene light2 with fade
    "It seemed like hours passed and I was still there facing the light."
    "Countless times I tried to move, but I couldn't even feel my body. I wasn't even sure if I still had it attatched to me anymore."
    "Perhaps this was all the afterlife was."
    "Perhaps it truly was a world of nothing."
    "Richard Dawkins was right after all."
    "There was no God."
    "Just science and space."
    "Oh well..."
    scene room1 with fade
    pause 1
    "Huh?"
    "As soon as I had been put in that dream world I was put back in reality."
    "Or so I thought."
    scene mess with fade
    pause .5
    scene hallway with fade
    pause .5
    scene bridge with fade
    pause .5
    "There was still no one on board the ship."
    "It was empty."
    scene radionight with fade
    "I went into the radio room and made desperate calls."
    "I even tried morse code at one point."
    "Broadcasting on every frequency didn't do anything but waste time."
    scene moon with fade
    play music "ship.wav" fadein 2 fadeout 2
    "Outside the moon looked fantastic."
    "I had never seen it so close, not so bright. It was as if I could just reach out and touch it's rocky surface."
    "So I stood there gazing at the object in front of me, wondering about what to do next."
    "Days passed and the ship continued to sail onward in the night. The sun never came up again."
    "I was stuck in a world where only I exsisted..."
    "A world where I was..."
    "...alone"
    ".:. Ending 1."
    return
    
    
    
label stay2:
    "I stayed there under the shining light."
    "I couldn't look away even if I wanted to."
    "I had to watch this spectacle."
    "To leave was out of the question."
    "Suddenly I could feel myself being pulled."
    "I wasn't physically being lifted however."
    "It was more as though my soul was being taken from my own body."
    "As though my spirit was being let free."
    "I felt so light."
    "Like I could fly..."
    scene operate with flash
    stop music
    "Suddenly there was another light put infront of me."
    "This one was different though."
    "It wasn't as warm as the last."
    "It was completely threatening."
    "This light meant to harm me, I could tell."
    "It was this feeling of hate that the light gave me. A feeling I did not like. Not at all. I wanted it gone."
    "The eerie silence killed me inside. I couldn't even hear my own heart beat at the moment."
    "I didn't know where I was, why I was there, and if I could ever leave..."
    pause 0.5
    scene moon
    with fade
    play music "ship.wav" fadein 2 fadeout 2
    "Suddenly a vision of the moon came into view. I could see it so clearly. The craters were so clear."
    "I couldn't move an inch however."
    "I was stuck viewing the moon."
    scene moon
    with fade
    "My mind blacked out from time to time for quick moments."
    scene moon
    with fade
    "In..."
    scene moon
    with fade
    "...and out."
    scene ship
    with flash
    "And then I was back on the ship before I knew it."
    "I looked around and saw a sailor cleaning the deck with a mop and bucket of water."
    "His head was down so I couldn't see his face, therefore I could not identify him."
    "So I called out to him, taking small steps forward."
    m "Excuse me..."
    "The sailor lifted his head up."
    "What I saw next was absolute horror."
    "He...."
    "He...he...."
    "He had no face!"
    scene corridor
    with fade
    stop music
    "I ran around the entire ship, looking at everyone I passed."
    "They all had blank faces."
    "I put my own hand on my own face at one point to make sure I still had my facial features."
    "I was swept with relief to know I did."
    "And then I saw him."
    "His back was facing me."
    m "Lieutenant Norwell!"
    "I quickly ran towards him, placing a hand on his shoulder."
    "I expected, or rather hoped, to see that annoying smile of his."
    "I saw no such thing."
    pause .5
    "Blank."
    "They were all {i}blank{/i}!"
    "In this world of nothing..."
    "This gray world..."
    "I was..."
    "Completely..."
    "Alone."
    ".:. Ending 2."
    return
    
    

